> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heyhumm.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Update Integration Source Relationship Status

> Bulk update status (and optional score/evidence) for multiple relationships.



## OpenAPI

````yaml https://config.heyhumm.ai/api/openapi.json post /api/integration-sources/relationships/bulk-status
openapi: 3.1.0
info:
  title: Configuration API
  description: >-
    API for managing configuration and queues for various services. This service
    consolidates the API functionality previously provided by dd_rag_api and
    code_rag_api.
  version: 1.0.0
servers:
  - url: https://config.heyhumm.ai
security: []
paths:
  /api/integration-sources/relationships/bulk-status:
    post:
      tags:
        - Integration Sources
      summary: Bulk Update Integration Source Relationship Status
      description: >-
        Bulk update status (and optional score/evidence) for multiple
        relationships.
      operationId: >-
        bulk_update_integration_source_relationship_status_api_integration_sources_relationships_bulk_status_post
      parameters:
        - name: organization_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Organization Id
        - name: resource_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Resource Id
        - name: source_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Source Id
        - name: integration_source_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Integration Source Id
        - name: data_source_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Data Source Id
        - name: context_source_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Context Source Id
        - name: job_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Job Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/IntegrationSourceRelationshipBulkStatusRequest
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: >-
                  Response Bulk Update Integration Source Relationship Status
                  Api Integration Sources Relationships Bulk Status Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    IntegrationSourceRelationshipBulkStatusRequest:
      properties:
        relationship_ids:
          items:
            type: string
            format: uuid
          type: array
          minItems: 1
          title: Relationship Ids
          description: List of relationship IDs to update
        status:
          $ref: '#/components/schemas/RelationshipStatus'
          description: New status to apply to each relationship
        score:
          anyOf:
            - type: number
            - type: 'null'
          title: Score
          description: Optional confidence score to apply to each relationship
        evidence:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Evidence
          description: Optional evidence payload to apply to each relationship
      type: object
      required:
        - relationship_ids
        - status
      title: IntegrationSourceRelationshipBulkStatusRequest
      description: Payload for bulk relationship status updates.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    RelationshipStatus:
      type: string
      enum:
        - SUGGESTED
        - APPROVED
        - REJECTED
      title: RelationshipStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````